cPanelTabby

Well-Known Member
Staff member
Dec 13, 2019
106
38
103
cPanel, Houston TX
cPanel Access Level
Root Administrator
EasyApache 4 December 8 Release
We are happy to announce that cPanel, L.L.C. has released an update for EasyApache 4! Take a look at some highlights below, and then join us on the cPanel Community Forums, Discord, or Reddit to talk about this update and much more. If you have additional questions, feel free to reach out on one of our social channels.

2021-12-8
ea-apache2-config

  • ZC-9503: Have 009 hook find users set to no-longer-installed PHP versions and set them to inherit.
ea-modsec-sdbm-util

  • ZC-9078: Fix ea-modsec-sdbm-util malloc issues on Ubuntu.
ea-nginx

  • ZC-9527: set USER_ID for server block if uid given && not zero.
ea-profiles-cpanel

  • EA-10325: Remove PHP 7.3 from allphp, allphp-opcache, default, and mpm_itk worker profiles.
libcurl

  • EA-10274: Update libcurl from to 7.80.0, drop 7.79.1.
ea-php81

  • Initial Release of PHP 8.1.
ea-php81-meta

  • Initial Release of PHP 8.1.
ea-php81-php-memcached

  • Initial Release of PHP 8.1.
scl-libc-client

  • ZC-8130: ZC-9472: Build for ea-php81.
scl-php-pear

  • ZC-8130, ZC-9474: Build for ea-php81.
mod_suphp

  • ZC-9491: Add ea-php81.


More Information

Information about all releases this year can be found in the 2021 EasyApache 4 Changelog and the EasyApache 4 Release Notes. You can also sign up for our EasyApache Development and EasyApache Production mailing lists to see when updates are pushed for our RPMs, letting you know ahead of time what will be updated in each EasyApache release.
 
  • Like
Reactions: Nirjonadda

Nirjonadda

Well-Known Member
May 8, 2013
752
28
78
cPanel Access Level
Root Administrator
@cPanelTabby Still not Updated libcurl to 7.80.0

Code:
curl 7.61.1 (x86_64-redhat-linux-gnu) libcurl/7.61.1 OpenSSL/1.1.1k zlib/1.2.11 brotli/1.0.6 libidn2/2.2.0 libpsl/0.20.2 (+libidn2/2.2.0) libssh/0.9.4/openssl/zlib nghttp2/1.33.0
Release-Date: 2018-09-05
Protocols: dict file ftp ftps gopher http https imap imaps ldap ldaps pop3 pop3s rtsp scp sftp smb smbs smtp smtps telnet tftp
Features: AsynchDNS IDN IPv6 Largefile GSS-API Kerberos SPNEGO NTLM NTLM_WB SSL libz brotli TLS-SRP HTTP2 UnixSockets HTTPS-proxy PSL
[[email protected] ~]#
ScreenShot00461.png
 

cPanelCory

Release Manager - EasyApache
Staff member
Jan 18, 2008
71
7
133
Houston
cPanel Access Level
Root Administrator
Hello!

So I am not sure exactly what is happening on your server, but it appears to be using a very old version, as even our older version we just upgraded to was version 7.79.1.

If you run the following command:
/opt/cpanel/libcurl/bin/curl -V

you should see something like this:

curl 7.80.0 (x86_64-redhat-linux-gnu) libcurl/7.80.0 OpenSSL/1.1.1l zlib/1.2.7 brotli/1.0.9 libssh2/1.8.0 nghttp2/1.46.0
Release-Date: 2021-11-10
Protocols: dict file ftp ftps gopher gophers http https imap imaps mqtt pop3 pop3s rtsp scp sftp smb smbs smtp smtps telnet tftp
Features: alt-svc AsynchDNS brotli GSS-API HSTS HTTP2 HTTPS-proxy IPv6 Kerberos Largefile libz NTLM NTLM_WB SPNEGO SSL TLS-SRP UnixSockets

Your versions release version being from 2018 (Release-Date: 2018-09-05) makes me think something isn't updating correctly and hasn't been in some time.

If you can open a ticket with our Technical Support Team they will be able to dig in further and see what is going on.
 

quietFinn

Well-Known Member
Feb 4, 2006
1,659
333
438
Finland
cPanel Access Level
Root Administrator
I have a VPS and phpinfo shows:
curl.jpg

and:
Code:
[[email protected] ~]# /opt/cpanel/libcurl/bin/curl -V
-bash: /opt/cpanel/libcurl/bin/curl: No such file or directory
[[email protected] ~]#
AlmaLinux v8.5.0 kvm [vps2] v100.0.5
 

cPanelCory

Release Manager - EasyApache
Staff member
Jan 18, 2008
71
7
133
Houston
cPanel Access Level
Root Administrator
Hello,

It appears you are indeed using the Almalinux system version, supplied here:


This is because EasyApache4 for CentOS8/AlmaLinux8 does not ship cURL and instead uses the upstream/repo version. You will need to wait for upstream to update their libcurl. We've documented the packages that we stopped shipping in C8/Alma8 here:


  • OpenSSL
  • OpenSSL 1.1
  • Memcache
  • Memcached
  • libcurl
  • IonCube
  • PEAR
  • Phalcon
  • PHP versions prior to version 7.2.
  • Snuffleupagus
  • suhosin
  • Tomcat
  • Ruby 2.4
  • SourceGuardian Loader
  • Zend Guard Loader™